function ICAshow(sigMatrix, varargin);
% ICASHOW ---- plot the input signals with optional title and comments
%
% øʽ
%    ICAshow(sigMatrix,'title','title of picture','comment','comment of the picture');
%            źŵĲΣΪ'title of picture'ͼµ˵Ϊ'comment of the picture'
%
% ˵ ......
%      'title'  ---- ͼƬı
%    'comment'  ---- ͼƬ˵
%
% ߣ֣Zhang Zhi-Lin
%       zlzhang@uestc.edu.cn
% 汾1.0
% ڣ2003111


flagcomment=0;   % ־ſѡ'comment'ǷѡΪ1ʾûѡòòֵ 
flagtitle=0;     % ־ſѡ'title'ǷѡΪ1ʾûѡòòֵ 
% ȡѡ
if(mod(length(varargin),2)==1)
    error('Optional parameters should always go by pairs.\n');
else
    for i=1:2:(length(varargin)-1)
        switch lower(varargin{i})
            case 'title'
                titlechar=varargin{i+1};
                flagtitle=1;
            case 'comment'
                commentchar=varargin{i+1};
                flagcomment=1;
            otherwise
                error(['Unrecognized parameter: ''' varargin{i} '''']);
        end
    end
end

rows=size(sigMatrix,1);
cols=size(sigMatrix,2);
sigMatrix = remstd(sigMatrix);
 

figure;
for i = rows : -1 : 1
    subplot(rows,1,i);
    plot(sigMatrix(i,:)); 
    
    if  flagcomment==1 & i == rows
        xlabeltext=['\bf',commentchar];
        xlabel(xlabeltext);
    end
    
    if  flagtitle==1 & i ==1
        titletext=['\bf',titlechar];
        title(titletext);
    end
     
     axis([-inf,inf,-5,5]);
end


function sig = remstd(OldSig)
% remstd --- make the input signals' variance unit
% The input OldSig is in the form N*P, where N is the number of signals, and P is
% the length of each signal, then the returned sig is also in the form N*P,
% but each row (each signal) has unit variance.

n=size(OldSig,1);
for t=1:n
    sig(t,:)=OldSig(t,:)/std(OldSig(t,:));
end
